BodyReader (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Class BodyReader

- java.lang.Object
- - tv.amwa.maj.io.mxf.BodyReader

-     public class BodyReader
      extends Object

  Reads data from the body of a MXF file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyReader(MXFFileImpl file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `eof()`
    `int` | `getBodySID()`
    `GenericContainerReader` | `getGenericContainerReader(int bodySID)`
    `boolean` | `isAtPartition()`
    `boolean` | `makeGenericContainerReader(int bodySID)`
    `boolean` | `makeGenericContainerReader(int bodySID, GenericContainerReader.GenericContainerReadHandler defaultHandler, GenericContainerReader.GenericContainerReadHandler fillerHandler)`
    `boolean` | `readFileFile(boolean singleKLV)`
    `boolean` | `readFromFile()`
    `boolean` | `reSync()`
    `long` | `seek()`
    `long` | `seek(int bodySID, long position)`
    `long` | `seek(long position)`
    `void` | `setDefaultHandler(GenericContainerReader.GenericContainerReadHandler defaultHandler)`
    `void` | `setEncryptionHandler(GenericContainerReader.GenericContainerReadHandler encryptionHandler)`
    `void` | `setFillerHandler(GenericContainerReader.GenericContainerReadHandler fillerHandler)`
    `long` | `tell()`
    `long` | `tell(long bodySID)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BodyReader

          public BodyReader(MXFFileImpl file)

  - ### Method Detail

    - #### seek

          @MXFPosition
          public long seek(@MXFPosition
                                        long position)

    - #### seek

          @MXFPosition
          public long seek()

    - #### tell

          @MXFPosition
          public long tell()

    - #### seek

          @MXFPosition
          public long seek(@UInt32
                                        int bodySID,
                                        @MXFPosition
                                        long position)

    - #### tell

          @MXFPosition
          public long tell(@UInt32
                                        long bodySID)

    - #### setDefaultHandler

          public void setDefaultHandler(GenericContainerReader.GenericContainerReadHandler defaultHandler)

    - #### setFillerHandler

          public void setFillerHandler(GenericContainerReader.GenericContainerReadHandler fillerHandler)

    - #### setEncryptionHandler

          public void setEncryptionHandler(GenericContainerReader.GenericContainerReadHandler encryptionHandler)

    - #### makeGenericContainerReader

          public boolean makeGenericContainerReader(@UInt32
                                                    int bodySID,
                                                    GenericContainerReader.GenericContainerReadHandler defaultHandler,
                                                    GenericContainerReader.GenericContainerReadHandler fillerHandler)

    - #### makeGenericContainerReader

          public boolean makeGenericContainerReader(@UInt32
                                                    int bodySID)

    - #### getGenericContainerReader

          public GenericContainerReader getGenericContainerReader(@UInt32
                                                                  int bodySID)

    - #### readFileFile

          public boolean readFileFile(boolean singleKLV)

    - #### readFromFile

          public boolean readFromFile()

    - #### reSync

          public boolean reSync()

    - #### isAtPartition

          public boolean isAtPartition()

    - #### eof

          public boolean eof()

    - #### getBodySID

          @UInt32
          public int getBodySID()

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.